using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;

namespace RMYY_CallCenter_Api.Models.Enum
{
    /// <summary>
    /// 工单状态枚举
    /// </summary>
    public enum EnumDevWorkOrderState
    {
        [Description("全部")]
        all = -1,
        [Description("新工单")]
        neworder,
        [Description("待出库")]
        assign,
        [Description("待指派")]
        checkout,
        /// <summary>
        /// 待处理
        /// </summary>
        [Description("待转运")]
        work,
        [Description("转运中")]
        transport,
        [Description("转运完成")]
        transover,
        [Description("已接收")]
        receive,
        //[Description("已返还")]
        //reassign,
        //[Description("已指派待转运")]
        //assreback,
        //[Description("返还转运中")]
        //reback,
        [Description("已入库")]
        storage,
        //[Description("待完结")]
        //storefinish,
        [Description("异常结束")]
        abreback,
        [Description("已完结")]
        finish
    }
    /// <summary>
    /// 工单记录类型枚举
    /// </summary>
    public enum EnumDevItemType
    {
        [Description("转运")]
        deal = 1,
        [Description("催办")]
        urge = 2,
        [Description("评价")]
        evaluate = 3,
        [Description("修改")]
        update = 4,
        [Description("删除")]
        delete = 5,
        [Description("回访")]
        visit = 6,
        [Description("审批")]
        audit = 7,
        [Description("延期")]
        Delay = 8,
    }
    /// <summary>
    /// 工单记录操作
    /// </summary>
    public enum EnumDevItemOpt
    {
        [Description("添加")]
        create,
        [Description("指派")]
        assign,
        [Description("出库")]
        checkout,
        [Description("运转")]
        work,
        [Description("运转完成")]
        over,
        [Description("接收")]
        receive,
        [Description("返还")]
        reback,
        [Description("入库")]
        storage,
        [Description("异常结束")]
        abreback,
        [Description("处理完结")]
        end,
        [Description("评价")]
        evaluate,
        [Description("修改")]
        update,
        [Description("删除")]
        delete,
        [Description("待审核")]
        audit,
        [Description("已审核")]
        reaudit,
        [Description("回访")]
        visit,
        [Description("延期")]
        Delay

    }
    /// <summary>
    /// 设备状态
    /// </summary>
    public enum EnumDevState
    {
        [Description("待出库")]
        staycheckout,
        [Description("全部出库")]
        allcheckout,
        [Description("部分出库")]
        partcheckout,
        [Description("全部入库")]
        allstorage,
        [Description("部分入库")]
        partstorage,
        [Description("无库存")]
        nostock,
    }

}